package entities;

import com.haxepunk.Entity;
//import com.haxepunk.graphics.Image;
import com.haxepunk.graphics.Spritemap;
//import com.haxepunk.masks.Circle;
//import com.haxepunk.utils.Input;
//import com.haxepunk.utils.Key;
//import com.haxepunk.Sfx;
//import flash.display.Sprite;
//import worlds.Play;


class Cursor extends Entity
{
	private var icurs: Spritemap;
	private var mode: Int;
	private var num: Int;
	
    public function new(playnum: Int)
    {
		super();
		
		icurs = new Spritemap("gfx/Cursor.png", 60, 60);
		icurs.add("empty", [0, 1, 2, 3, 4, 3, 2, 1], 12);
		icurs.add("void", [5, 6], 18);
		icurs.add("full", [7, 8], 18);
		graphic = icurs;
		
		hide();
    }
	public function hide() : Void
	{
		mode = 0;
//		icurs.frame = 9;
		icurs.setFrame(4,1);
	}
	public function setEmpty() : Void
	{
		if (mode != 1) {
			mode = 1;
			icurs.play("empty");
		}
	}
	public function setVoid() : Void
	{
		if (mode != 2) {
			mode = 2;
			icurs.play("void");
		}
	}
	public function setFull() : Void
	{
		if (mode != 3) {
			mode = 3;
			icurs.play("full");
		}
	}
    public override function update() : Void
    {
        super.update();
    }
}