package worlds;

import nme.geom.Point;
import nme.events.Event;
import nme.events.MouseEvent;
import com.haxepunk.graphics.Image;
import com.haxepunk.World;
import com.haxepunk.Entity;
import com.haxepunk.HXP;
import com.haxepunk.masks.Hitbox;
import com.haxepunk.utils.Key;
import com.haxepunk.utils.Input;
import worlds.Play;

class Intro extends World
{
	public static var mouseClick: Bool;
	
    public function new()
    {
        super();
    }
	
	public override function begin() : Void
	{
	  	super.begin();
		addGraphic(new Image("gfx/Intro.png"));
  	}

    public override function update() : Void
    {
		super.update();
		if (Input.mousePressed) {
			mouseClick = true;
		} else if (Input.mouseReleased && mouseClick) {
			mouseClick = false;
			HXP.world = new Play();
		}
	}

}

